<?php
// definicja funkcji anonimowej
$drukuj = function(string $tekst) {
    print $tekst;
    print PHP_EOL;
};

$drukuj('Funkcja $drukuj po raz pierwszy.'); // wywołanie funkcji anonimowej

// definicja funkcji zwrotnej (callback)
function mojaFunkcja($callback) {
    $callback('Funkcja $drukuj po raz drugi.'); // wywołanie funkcji zwrotnej
}

mojaFunkcja($drukuj); // wywołanie funkcji zwrotnej

// argumenty funkcji anonimowej
$zmienna = 'Funkcja $drukuj po raz trzeci.';

$drukujWiek = function($callback) use ($zmienna) {
    $callback($zmienna); // wywołanie funkcji zwrotnej
};

$drukujWiek($drukuj); // wywołanie funkcji anonimowej